Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface SiblingCountingNode

All Superinterfaces:
  Item, NodeInfo, Source, ValueRepresentation

All Known Implementing Classes:
  DocumentWrapper, DocumentWrapper, DocumentWrapper, DocumentWrapper, NodeWrapper, NodeWrapper, NodeWrapper, NodeWrapper

    public interface SiblingCountingNode

extends NodeInfo

Interface that extends NodeInfo by providing a method to get the position of a node relative to its siblings.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Method Summary
`int` | `getSiblingPosition()` Get the index position of this node among its siblings (starting from 0)

Methods inherited from interface net.sf.saxon.om.NodeInfo
`atomize, compareOrder, copy, equals, generateId, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Method Detail

### getSiblingPosition

    int getSiblingPosition()

  Get the index position of this node among its siblings (starting from 0)

  Returns:
    0 for the first child, 1 for the second child, etc.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.